Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.messaging
Interface IRecipient

All Superinterfaces:
  IItem, java.io.Serializable

All Known Subinterfaces:
  IMailRecipient

public interface IRecipient
extends IItem

Classes that implement this interface are recipients in the messaging schema.

Field Summary
`static Key` | `ADDRESS` Represents the address of the recipient.
`static ItemClass` | `CLASS` The recipient item class.
`static int` | `KEYID_ADDRESS` The `int` ID for the `ADDRESS` key.
`static Key[]` | `MINIMUM_KEYS` Minimum item keys for a recipient.

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`java.lang.String` | `getAddress()` Gets the address of the recipient.
`void` | `setAddress(java.lang.String sAddress)` Sets the address of the recipient.

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_ADDRESS

    public static final int KEYID_ADDRESS

  The `int` ID for the `ADDRESS` key.

### ADDRESS

    public static final Key ADDRESS

  Represents the address of the recipient.

### MINIMUM_KEYS

    public static final Key[] MINIMUM_KEYS

  Minimum item keys for a recipient.

### CLASS

    public static final ItemClass CLASS

  The recipient item class.

Method Detail

### getAddress

    public java.lang.String getAddress()
                                throws CollaborationException

  Gets the address of the recipient.
  Returns:
    the address (not `null`)
  See Also:
    `ADDRESS`

### setAddress

    public void setAddress(java.lang.String sAddress)
                    throws CollaborationException

  Sets the address of the recipient.
  Parameters:
    `sAddress` - the address (not `null`)
  See Also:
    `ADDRESS`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.